package es.uv.saic.domain;

import java.io.Serializable;
import java.util.Objects;

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;

@Embeddable
public class GraficaPK implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@Column(name="id_grafica")
	private String idGrafica;
	private String estudi;
	private String ambit;
	
	public GraficaPK() { }
	
	public String getIdGrafica() {
		return idGrafica;
	}
	public void setIdGrafica(String idGrafica) {
		this.idGrafica = idGrafica;
	}
	public String getEstudi() {
		return estudi;
	}
	public void setEstudi(String estudi) {
		this.estudi = estudi;
	}
	public String getAmbit() {
		return ambit;
	}
	public void setAmbit(String ambit) {
		this.ambit = ambit;
	}

	@Override
	public int hashCode() {
		return Objects.hash(ambit, estudi, idGrafica);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		GraficaPK other = (GraficaPK) obj;
		return Objects.equals(ambit, other.ambit) && Objects.equals(estudi, other.estudi)
				&& Objects.equals(idGrafica, other.idGrafica);
	}
	
	
	
}
